cryptostore-0.3.0.1: Serialization of cryptographic data types

License | BSD-style
Maintainer | Olivier Chéron <olivier.cheron@gmail.com>
Stability | stable
Portability | good
Safe Haskell | Safe-Inferred
Language | Haskell2010

Crypto.Store.Cipher.RC2

Description

Implementation of RC2 block cipher, a legacy algorithm providing weak security. Use only for compatibility with software requiring this cipher and data which is not sensitive.

Synopsis

- data RC2
- rc2WithEffectiveKeyLength :: ByteArrayAccess key => Int -> key -> CryptoFailable RC2

# Documentation

data RC2 Source #

RC2 block cipher. Key is between 8 and 1024 bits.

#### Instances

Instances details

Cipher RC2 Source # |
Instance details Defined in Crypto.Store.Cipher.RC2 Methods cipherInit :: ByteArray key => key -> CryptoFailable RC2 Source # cipherName :: RC2 -> String Source # cipherKeySize :: RC2 -> KeySizeSpecifier Source #
BlockCipher RC2 Source # |

Instance details

Defined in Crypto.Store.Cipher.RC2

Methods

blockSize :: RC2 -> Int Source #

ecbEncrypt :: ByteArray ba => RC2 -> ba -> ba Source #

ecbDecrypt :: ByteArray ba => RC2 -> ba -> ba Source #

cbcEncrypt :: ByteArray ba => RC2 -> IV RC2 -> ba -> ba Source #

cbcDecrypt :: ByteArray ba => RC2 -> IV RC2 -> ba -> ba Source #

cfbEncrypt :: ByteArray ba => RC2 -> IV RC2 -> ba -> ba Source #

cfbDecrypt :: ByteArray ba => RC2 -> IV RC2 -> ba -> ba Source #

ctrCombine :: ByteArray ba => RC2 -> IV RC2 -> ba -> ba Source #

aeadInit :: ByteArrayAccess iv => AEADMode -> RC2 -> iv -> CryptoFailable (AEAD RC2) Source #

rc2WithEffectiveKeyLength :: ByteArrayAccess key => Int -> key -> CryptoFailable RC2 Source #

Build a RC2 cipher with the specified effective key length (in bits).